
CoCoA-5 - Feature #704

rename MinGensGeneral?

15 May 2015 11:27 - Anna Maria Bigatti

Status: Closed Start date: 15 May 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 1.00 hour

Target version: CoCoA-5.1.2 summer 2015 Spent time: 1.00 hour

Description

there are two functions: MinGens (for homogeneous case) and MinGensGeneral (trivial algorithm for non homogenous case).

In fact, MinGensGeneral returns a subset of the original generators, whereas MinGens doesn't.

Moreover MinGensGeneral is a horrible name.

2015-05-20 Renamed it MinSubsetOfGens and documented properly

History

#1 - 20 May 2015 19:06 - Anna Maria Bigatti

- Description updated

- Status changed from New to Feedback

- % Done changed from 20 to 90

All done: Renamed it MinSubsetOfGens and documented

#2 - 29 Jul 2015 16:15 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
